---
search:
  tags:
    - Auth
    - POST
seo:
  description: >-
    Get new access token using refresh token. Reference for the POST
    /api/v1/{app_id}/auth/refresh endpoint in the Customers API.
sidebar:
  label: Refresh token
  badge: POST
title: Refresh token
type: openapi-operation
---
Get new access token using refresh token

`POST /api/v1/{app_id}/auth/refresh`

**Request body** (`application/json`, required)

Refresh token

- `refresh_token` (string, required)

Request body example:

```json
{
  "refresh_token": "string"
}
```

**Responses**

- `200` — OK
- `400` — Invalid request
- `401` — Invalid refresh token
- `404` — App not found
- `500` — Internal server error

Response example, 200:

```json
{
  "access_token": "string",
  "expires_in": 0,
  "refresh_token": "string",
  "token_type": "string"
}
```
